import request from '@/utils/request'

// 查询专业录取情况列表
export function listAMarjorEnroll(query) {
  return request({
    url: '/ie/aMarjorEnroll/list',
    method: 'get',
    params: query
  })
}

// 查询专业录取情况详细
export function getAMarjorEnroll(id) {
  return request({
    url: '/ie/aMarjorEnroll/' + id,
    method: 'get'
  })
}

// 新增专业录取情况
export function addAMarjorEnroll(data) {
  return request({
    url: '/ie/aMarjorEnroll',
    method: 'post',
    data: data
  })
}

// 修改专业录取情况
export function updateAMarjorEnroll(data) {
  return request({
    url: '/ie/aMarjorEnroll',
    method: 'put',
    data: data
  })
}

// 删除专业录取情况
export function delAMarjorEnroll(id) {
  return request({
    url: '/ie/aMarjorEnroll/' + id,
    method: 'delete'
  })
}
